| InsertProductInput |
|---|
| `` rpc InsertProductInput( ` InsertProductInputRequest ` ) returns ( ` ProductInput ` ) `` [Uploads a product input to your Merchant Center account](https://developers.google.com/merchant/api/guides/products/add-manage.md.txt#add_a_product) . You must have a products [data source](https://developers.google.com/merchant/api/guides/data-sources/api-sources.md.txt#create-primary-data-source) to be able to insert a product. The unique identifier of the data source is passed as a query parameter in the request URL. If a product input with the same contentLanguage, offerId, and dataSource already exists, then the product input inserted by this method replaces that entry. After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved. Authorization scopes : Requires the following OAuth scope: - ` https://www.googleapis.com/auth/content ` For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2) . |